########################################################################
# ExSSO: (Ex)haustive (S)earch for (S)ymmetric (O)ligomer              #
#                                                                      #
# check_format.py: check the format of input files                     #
#                                                                      #
# Usage: python check_format.py -p [param] -t [pdb|noe|mem|all]        #
# Option -p: path of the file 'param'                                  #
# Option -t: pdb represents protomer structure                         #
#            noe represents inter-protomer NOE restraints              #
#            mem represents membrane restraints                        #
#                                                                      #
# Contact: james_chou@hms.harvard.edu                                  #
########################################################################

import os
import sys
import getopt

def Usage():
    print 'Usage: python check_format.py -p [param] -t [pdb|noe|mem|all]'

def main(argv):
    if len(argv) != 5:
        Usage()
        sys.exit(1)
    try:
        opts, args = getopt.getopt(argv[1:], 'p:t:')
    except getopt.GetoptError, err:
        print str(err)
        Usage()
        sys.exit(1)
    if len(opts) != 2:
        Usage()
        sys.exit(1)
    for o, v in opts:
        if o == '-p':
            paramFile = v
        if o == '-t':
            fileType = v
    if not os.path.exists(paramFile):
        print '[Error] \'' + paramFile + '\'' + ' does not exist'
        sys.exit(1)
    if fileType != 'pdb' and fileType != 'noe' and fileType != 'mem' and fileType != 'all':
        print '[Error] Option -t should be pdb|noe|mem|all'
        sys.exit(1)
    fp = open(paramFile)
    line = fp.readlines()[1]
    homeDir = line[8 : -1]
    fp.close()
    os.system(homeDir + '/bin/check ' + paramFile + ' ' + fileType)

if __name__ == '__main__':
    main(sys.argv)
