########################################################################
# ExSSO: (Ex)haustive (S)earch for (S)ymmetric (O)ligomer              #
#                                                                      #
# exhaustive_search.py: search all satisfied conformations             #
#                                                                      #
# Usage: python exhaustive_search.py -p [param]                        #
# Option -p: path of the file 'param'                                  #
#                                                                      #
# Contact: james_chou@hms.harvard.edu                                  #
########################################################################

import os
import sys
import getopt

def Usage():
    print 'Usage: python exhaustive_search.py -p [param]'

def main(argv):
    if len(argv) != 3:
        Usage()
        sys.exit(1)
    try:
        opts, args = getopt.getopt(argv[1:], 'p:')
    except getopt.GetoptError, err:
        print str(err)
        Usage()
        sys.exit(1)
    if len(opts) != 1:
        Usage()
        sys.exit(1)
    for o, v in opts:
        if o == '-p':
            paramFile = v
    if not os.path.exists(paramFile):
        print '[Error] \'' + paramFile + '\'' + ' does not exist'
        sys.exit(1)
    fp = open(paramFile)
    lines = fp.readlines()
    homeDir = lines[1][8 : -1]
    workDir = lines[2][8 : -1]
    fp.close()
    logFile = workDir + '/check_pdb.log'
    if not os.path.exists(logFile):
        print '[Error] \'' + logFile + '\'' + ' does not exist'
        sys.exit(1)
    logFile = workDir + '/check_noe.log'
    if not os.path.exists(logFile):
        print '[Error] \'' + logFile + '\'' + ' does not exist'
        sys.exit(1)
    os.system(homeDir + '/bin/search ' + paramFile)

if __name__ == '__main__':
    main(sys.argv)
